apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ include "veylant-proxy.fullname" . }}-config
  labels:
    {{- include "veylant-proxy.labels" . | nindent 4 }}
data:
  config.yaml: |
    server:
      port: {{ .Values.config.server.port }}
      shutdown_timeout_seconds: {{ .Values.config.server.shutdown_timeout_seconds | default 30 }}
      env: {{ .Values.config.server.env }}
    log:
      level: {{ .Values.config.log.level }}
      format: {{ .Values.config.log.format }}
    metrics:
      enabled: {{ .Values.config.metrics.enabled }}
      path: {{ .Values.config.metrics.path }}
